import { createApp } from "vue";
import "./style.css";
import App from "./App.vue";
import router from "./router";
import PrimeVue from "primevue/config";
import { globalSettings } from "./globalSettings";
import { createPinia } from "pinia";
import 'primeicons/primeicons.css';

// Vuetify
import "@primeuix/themes/aura";
import "vuetify/styles";
import { createVuetify } from "vuetify";
import * as components from "vuetify/components";
import * as directives from "vuetify/directives";
import { mdi } from "vuetify/iconsets/mdi";
import "@mdi/font/css/materialdesignicons.css";

const vuetify = createVuetify({
	components,
	directives,
	icons: {
		defaultSet: "mdi",
		sets: {
			mdi,
		},
	},
});

const pinia = createPinia();

createApp(App)
	.use(router)
	.use(pinia)
	.use(vuetify)
	.use(PrimeVue, {
		theme: {
			options: {
				darkModeSelector: false,
			},
			preset: globalSettings.theme,
		},
	})
	.mount("#custom-ui-app");
